--【导例4.16】根据考试分数换算为[优良中及不及格]等级成绩(方法一)。
declare @分数 decimal
declare @成绩级别 nchar(3)
set @分数 = 88
 
set @成绩级别 = 
case 
  when @分数>=90 and  @分数<=100 then '优秀'
  when @分数>=80 and  @分数<90 then '良好'
  when @分数>=70 and  @分数<80 then '中等'
  when @分数>=60 and  @分数<70 then '及格'
  when  @分数<60 then '不及格'
end
print @成绩级别
